;; -*- mode: common-lisp -*-
;;
;; Copyright (C) 2001 Franz Inc, Berkeley, CA.  All rights reserved.
;;
;; This code is free software; you can redistribute it and/or
;; modify it under the terms of the version 2.1 of
;; the GNU Lesser General Public License as published by 
;; the Free Software Foundation, as clarified by the Franz
;; preamble to the LGPL found in
;; http://opensource.franz.com/preamble.html.
;;
;; This code is distributed in the hope that it will be useful,
;; but without any warranty; without even the implied warranty of
;; merchantability or fitness for a particular purpose.  See the GNU
;; Lesser General Public License for more details.
;;
;; Version 2.1 of the GNU Lesser General Public License can be
;; found at http://opensource.franz.com/license.html.
;; If it is not present, you can access it from
;; http://www.gnu.org/copyleft/lesser.txt (until superseded by a newer
;; version) or write to the Free Software Foundation, Inc., 59 Temple
;; Place, Suite 330, Boston, MA  02111-1307  USA
;;
;; $Id$

(in-package :user)

(setq excl::*break-on-warnings* t)

(delete-directory-and-files 
 (merge-pathnames (make-pathname :directory '(:relative "dist"))
		  (directory-namestring *source-pathname*))
 :if-does-not-exist :ignore)

(let ((*record-source-file-info* nil))
  (load "load.cl"))

(generate-application
 "sample-server"
 "dist/"
 '(:trace :fileutil :list2 :seq2 :streamc :ffcompat :ssl :locale :srecord
   "load.cl")
 :application-files '("src/publish.cl")
 :autoload-warning nil
 :build-input "build.in"
 :build-output "build.out"
 :discard-local-name-info t
 :discard-source-file-info t
 :discard-xref-info t
 :ignore-command-line-arguments t	; ignore ACL (not app) cmd line options
 :include-compiler nil
 :include-devel-env nil
 :include-ide nil
 :include-tpl t
 :load-source-file-info nil
 :load-xref-info nil
 :pre-load-form '(push :www-release *features*)
 :post-load-form '(progn (copy-directory "www/" "dist/www/")
		         (make-directory "dist/log"))
 :presto nil
 :print-startup-message nil		; don't print ACL startup messages
 :purify nil
 :read-init-files nil			; don't read ACL init files
 :record-source-file-info nil
 :record-xref-info nil
 :restart-init-function nil
 :restart-app-function 'main
 :runtime :standard
 :suppress-allegro-cl-banner t
 :us-government nil
 :verbose nil
)

