;; -*- mode: common-lisp -*-
;;
;; Copyright (C) 2001 Franz Inc, Berkeley, CA.  All rights reserved.
;;
;; This code is free software; you can redistribute it and/or
;; modify it under the terms of the version 2.1 of
;; the GNU Lesser General Public License as published by 
;; the Free Software Foundation, as clarified by the Franz
;; preamble to the LGPL found in
;; http://opensource.franz.com/preamble.html.
;;
;; This code is distributed in the hope that it will be useful,
;; but without any warranty; without even the implied warranty of
;; merchantability or fitness for a particular purpose.  See the GNU
;; Lesser General Public License for more details.
;;
;; Version 2.1 of the GNU Lesser General Public License can be
;; found at http://opensource.franz.com/license.html.
;; If it is not present, you can access it from
;; http://www.gnu.org/copyleft/lesser.txt (until superseded by a newer
;; version) or write to the Free Software Foundation, Inc., 59 Temple
;; Place, Suite 330, Boston, MA  02111-1307  USA
;;
;; $Id$

(in-package :user)

(eval-when (:compile-toplevel :load-toplevel :execute)
  (require :defsys))

(defvar *sample-server-root*
    #+www-release #p"sys:"
    #-www-release (path-namestring *load-pathname*))


(defsystem :www 
    (:default-pathname "src/")
    (:serial
     ("defs.cl" (:force-load t))
     ("utils.cl" (:force-load t))
     ("log.cl" (:force-load t))
     ;; place user application code below here.
     ("weather.cl" (:force-load t))
     ;; place user application code above here.
     ("telnet.cl" (:force-load t))
     #-mswindows ("main.cl" (:force-load t))
     #+mswindows ("mainwin.cl" (:force-load t))))

(compile-system :www)
(load-system :www)
