;; -*- mode: common-lisp -*-
;;
;; Copyright (C) 2006 Franz Inc, Oakland, CA.  All rights reserved.
;;
;; This code is free software; you can redistribute it and/or
;; modify it under the terms of the version 2.1 of
;; the GNU Lesser General Public License as published by 
;; the Free Software Foundation, as clarified by the Franz
;; preamble to the LGPL found in
;; http://opensource.franz.com/preamble.html.
;;
;; This code is distributed in the hope that it will be useful,
;; but without any warranty; without even the implied warranty of
;; merchantability or fitness for a particular purpose.  See the GNU
;; Lesser General Public License for more details.
;;
;; Version 2.1 of the GNU Lesser General Public License can be
;; found at http://opensource.franz.com/license.html.
;; If it is not present, you can access it from
;; http://www.gnu.org/copyleft/lesser.txt (until superseded by a newer
;; version) or write to the Free Software Foundation, Inc., 59 Temple
;; Place, Suite 330, Boston, MA  02111-1307  USA
;;
;; $Id$

(in-package :user)

(eval-when (:compile-toplevel :load-toplevel :execute)
  (require :process)
  (require :sock)
  (require :acldns)
  (require :regexp2)
  (require :uri)
  (require :aserve)
  (require :webactions)
  (require :ftp)
  
  (use-package :net.aserve)
  (use-package :net.aserve.client)
  (use-package :net.html.generator))

(defvar *port* 80)

;; *sample-server-root* defined in ../load.cl
(defvar *logroot*
    (merge-pathnames (make-pathname :directory '(:relative "log"))
		     *sample-server-root*))
(defvar *sample-server-www* 
    (merge-pathnames (make-pathname :directory '(:relative "www"))
		     *sample-server-root*))

(defvar *debug* nil)
(defvar *reload-server* nil)
(defvar *server* nil)
