;; -*- mode: common-lisp -*-
;;
;; Copyright (C) 2006 Franz Inc, Oakland, CA.  All rights reserved.
;;
;; This code is free software; you can redistribute it and/or
;; modify it under the terms of the version 2.1 of
;; the GNU Lesser General Public License as published by 
;; the Free Software Foundation, as clarified by the Franz
;; preamble to the LGPL found in
;; http://opensource.franz.com/preamble.html.
;;
;; This code is distributed in the hope that it will be useful,
;; but without any warranty; without even the implied warranty of
;; merchantability or fitness for a particular purpose.  See the GNU
;; Lesser General Public License for more details.
;;
;; Version 2.1 of the GNU Lesser General Public License can be
;; found at http://opensource.franz.com/license.html.
;; If it is not present, you can access it from
;; http://www.gnu.org/copyleft/lesser.txt (until superseded by a newer
;; version) or write to the Free Software Foundation, Inc., 59 Temple
;; Place, Suite 330, Boston, MA  02111-1307  USA
;;
;; $Id$

(in-package :user)

(webaction-project
 "sample"
 :project-prefix "/"
 :destination (namestring (truename *sample-server-www*))
 :index "weather"
 :sessions nil
 :server *server*
 :map '(("weather" "sample.clp")))

(publish :server *reload-server*
	 :content-type "text/html"
	 :path "/reload"
	 :function (lambda (req ent)
		     (with-http-response (req ent)
		       (with-http-body (req ent)
			 (reload)
			 (html (:html (:head (:title "Server Reload"))
				      (:body (:princ "Reload Complete"))))))))

(publish :server *reload-server*
	 :content-type "text/html"
	 :path "/flush-logs"
	 :function 'flush-logs)

;; (defparameter *weather-sites* '("koak" "ksfo" "knuq" "kapa" "kbwi" "oakb" "ybrm")) 
(defparameter *weather-sites* '("koak" "ksfo"))

